Summary: Converts text and other types of files to PostScript(TM).
Name: a2ps
Version: 4.12
Release: 3cz
Serial: 1
Copyright: GPL
Group:  Applications/Publishing
Source: ftp://ftp.enst.fr/pub/unix/a2ps/%{name}-%{version}.tar.gz 
Patch:  a2ps-xkbprint.patch
Prereq: /sbin/install-info
Url: http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot: /var/tmp/%{name}-root

%description
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%prep
%setup -q
%patch -p1 -b .xkbpatch

%build

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
./configure \
	--prefix=/usr \
	-sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install

{ pushd $RPM_BUILD_ROOT
  [ -d ./usr/info/dir ] && rm ./usr/info/dir
  gzip -9nf ./usr/info/*
  popd
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info /usr/info/a2ps.info.gz /usr/info/dir
/sbin/install-info /usr/info/ogonkify.info.gz /usr/info/dir
/sbin/install-info /usr/info/regex.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/a2ps.info.gz /usr/info/dir
   /sbin/install-info --delete /usr/info/ogonkify.info.gz /usr/info/dir
   /sbin/install-info --delete /usr/info/regex.info.gz /usr/info/dir
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/a2ps.cfg
%config(noreplace) /etc/a2ps-site.cfg
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
/usr/bin/*
/usr/lib/*
/usr/include/*
/usr/info/a2ps.info*
/usr/info/ogonkify.info*
/usr/info/regex.info*
/usr/man/man1/*.1
/usr/share/a2ps
/usr/share/locale/*/LC_MESSAGES/a2ps.mo
/usr/share/ogonkify

%changelog
* Tue Mar 21 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- added xkbprint patch: http://www.penguin.cz/~stano/sk/a2psxkbprint.html

* Tue Jun 29 1999 Ivo Panacek <ivop@regionet.cz>
- added missing ogonkify files to %files section

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- add a2ps-site.cfg

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- update to 4.12 for Powertools 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- narrower range of %files splats.
- install info correctly.
- new description/summary text.

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated source

* Sat Jul 04 1998 Michael Maher <mike@redhat.com>
- built package
